> For the complete documentation index, see [llms.txt](https://docs.kick.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kick.co/api/api-reference.md).

# API Reference

- [Workspaces](https://docs.kick.co/api/api-reference/workspaces.md): List and create the workspaces in your organization's book of business, and read or delete a single workspace.
- [Entities](https://docs.kick.co/api/api-reference/entities.md): List and create the entities of a workspace, and read, update, or delete a single entity.
- [Chart of Accounts](https://docs.kick.co/api/api-reference/chart-of-accounts.md): Read an entity's chart of accounts, create, rename, archive, restore, merge, or delete the accounts in it, and organize them into account groups.
- [Plaid Connections](https://docs.kick.co/api/api-reference/plaid-connections.md): Open a bank connection from a Plaid processor token, list the connections your integration created, and delete one.
- [Transactions](https://docs.kick.co/api/api-reference/transactions.md): Read a workspace's transactions across all of its entities, read a single transaction, and update one.
- [Transaction Rules](https://docs.kick.co/api/api-reference/transaction-rules.md): List, create, update, and delete the transaction rules of a workspace, and read a single rule.
- [Classes](https://docs.kick.co/api/api-reference/classes.md): List, create, rename, and delete the classes of a workspace, and read a single class.
- [Ledgers](https://docs.kick.co/api/api-reference/ledgers.md): Open an entity's accrual ledger so you can post to it and report on it.
- [Journal Entries](https://docs.kick.co/api/api-reference/journal-entries.md): Read, write, update, and delete the manual journal entries of an entity's ledger.
- [Reports](https://docs.kick.co/api/api-reference/reports.md): Pull an entity's profit and loss, balance sheet, cash flow, trial balance, and general ledger.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.kick.co/api/api-reference.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
